using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace VCATest
{
  public partial class VCAForm : Form
  {
    public VCAForm()
    {
      InitializeComponent();
    }

    public void Run(String url, String user, String pass, int uiMode, int ch, int width, int height, int timeout)
    {
      this.Width = width + 8;
      this.Height = height + 32;
      axViewerCtrlActiveX1.LiveURL = url;
      axViewerCtrlActiveX1.MediaUsername = user;
      axViewerCtrlActiveX1.MediaPassword = pass;
      int mode = 0x10000000;
      switch (uiMode)
      {
        case 1:
          mode |= 3;
          break;

        case 2:
          mode |= 5;
          break;
      }
      axViewerCtrlActiveX1.UIMode = mode;
      axViewerCtrlActiveX1.CHID = ch;
      axViewerCtrlActiveX1.NetworkTimeout = timeout;

      axViewerCtrlActiveX1.Start(1);
      axViewerCtrlActiveX1.StartReceiver();
      axViewerCtrlActiveX1.ViewStart();

      this.Show();
    }

    public void Stop()
    {
      axViewerCtrlActiveX1.ViewStop();
      axViewerCtrlActiveX1.StopReceiver();
      axViewerCtrlActiveX1.Stop();
    }

    private void VCAForm_FormClosing(object sender, FormClosingEventArgs e)
    {
      Stop();
    }

  }
}